LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XDumper Interface Reference

Dumps the content into a string. More...

`import"XDumper.idl";`

Inheritance diagram for XDumper:

## Public Member Functions
string | dump ([in] string kind)
| dump the content into a string More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Dumps the content into a string.

This is an internal interface and should not be used outside of Libreoffice source code

## Member Function Documentation

## ◆ dump()

string dump | ( | [in] string | kind | ) |

dump the content into a string

Parameters

  kind | What kind of data to dump (for objects that know how to dump different data).

Since
  LibreOffice 3.6

The documentation for this interface was generated from the following file:

- com/sun/star/qa/XDumper.idl